Page Summary
-
This page details how to edit the read/write accessors of an inventory source using a POST request.
-
The request requires the
inventorySourceIdas a path parameter and includes a request body to specify the changes to the accessors. -
The request body can specify either assigning a partner as the read/write accessor or adding/removing specific advertisers.
-
A successful response will return an updated
InventorySourceAccessorsobject. -
This action requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Edits read/write accessors of an inventory source. Returns the updated readWriteAccessors for the inventory source.
HTTP request
POST https://displayvideo.googleapis.com/v1beta2/inventorySources/{inventorySourceId}:editInventorySourceReadWriteAccessors
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
inventorySourceId |
Required. The ID of inventory source to update. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "partnerId": string, // Union field |
| Fields | |
|---|---|
partnerId |
Required. The partner context by which the accessors change is being made. |
Union field accessors_change. The change to the read/write accessors of the inventory source. accessors_change can be only one of the following: |
|
assignPartner |
Set the partner context as read/write accessor of the inventory source. This will remove all other current read/write advertiser accessors. |
advertisersUpdate |
The advertisers to add or remove from the list of advertisers that have read/write access to the inventory source. This change will remove an existing partner read/write accessor. |
Response body
If successful, the response body contains an instance of InventorySourceAccessors.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.
AdvertisersUpdate
Update to the list of advertisers with read/write access to the inventory source.
| JSON representation |
|---|
{ "addedAdvertisers": [ string ], "removedAdvertisers": [ string ] } |
| Fields | |
|---|---|
addedAdvertisers[] |
The advertisers to add. |
removedAdvertisers[] |
The advertisers to remove. |